## vodovod 1.10

=== Makefile ===
#
# Copyright 2007 Milan Babuskov
#
# This file is part of Vodovod game
#
# Vodovod is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# Vodovod is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Vodovod in file COPYING; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

# directory where the games are installed (/usr, /usr/local, ... or something)
ifndef PREFIX
PREFIX=/usr
endif

PROGRAM = vodovod
OBJECTS = game.o map.o resource.o main.o allmenus.o njamfont.o sutils.o menu.o hiscore.o effects.o config.o keys.o
CC = g++

# If you hate warnings under Cygwin use these flags instead
# MY_CFLAGS = -I/usr/local/include/SDL -Dmain=SDL_main -DWIN32 -Uunix -mno-cygwin
MY_CFLAGS = `sdl-config --cflags`

%.o:	%.cpp
	$(CC) -c $(MY_CFLAGS) $< -o $@

all:	$(PROGRAM)

$(PROGRAM):	$(OBJECTS)
	$(CC) `sdl-config --libs` -o$(PROGRAM) $(OBJECTS) -lSDL -lSDL_image -lSDL_mixer

clean:
	$(RM) *.o
	$(RM) $(PROGRAM)
	$(RM) $(PROGRAM).exe

=== debian/changelog ===
vodovod (1.10-3) unstable; urgency=low

  * Team upload.

  [ Markus Koschany ]
  * Switch to package format 3.0 (quilt).
  * Bump compat level to 9 and require debhelper >= 9.
  * Update debian/copyright to copyright format 1.0.
  * Add longtitle to Debian menu. Change section to Games/Puzzles.
  * Simplify debian/rules by using dh sequencer.
  * Build with --parallel.
  * Enable all hardening build flags.
  * debian/control:
    - Update Standards-Version to 3.9.4, no changes needed.
    - Remove quilt build dependency, format 3.0 uses quilt by default.
    - Use canonical Vcs-fields.
  * vodovod.desktop: Add keywords and comments in English and German. Change
    Categories key to Game;LogicGame.
  * debian/patches:
    - Add dep3 headers to all patches.
    - Add fix-format-not-a-string-literal-error.patch which prevents a FTBFS.
    - Add hardening-support.patch which enables Debian's hardening features via
      dpkg-buildflags.
    - Improve user_files.patch. Remove all PATH_MAX declarations. Instead use a
      fixed buffer of 1024 bytes which allows the game to build on GNU/Hurd.
      Do not overwrite hiscore.dat with default values at every startup thus
      users can permanently save their achievements. (LP: #381908)

  [ Paul Wise ]
  * Fix minor typo in description (Closes: #587498)

 -- Markus Koschany <apo@gambaru.de>  Wed, 06 Mar 2013 19:22:05 +0100

vodovod (1.10-2) unstable; urgency=low

  [ Marco Rodrigues ]
  * Changed debian/control priority from extra to optional.
  * Add Homepage field in the control file.

  [ Eddy Petrișor ]
  * Removed invalid category "Application".

  [ Jon Dowland ]
  * Update menu section to "Games/Action" for menu policy transition.
    Thanks Linas Žvirblis.

  [ Cyril Brulebois ]
  * Add Vcs-Svn and Vcs-Browser fields in the control file.
  * Remove Marco Rodrigues from the Uploaders field.
  * Fix FTBFS with gcc-4.3 (Closes: #455114) by adding the following
    patch:
     + fix-FTBFS-with-gcc-4.3.patch.
  * Call dh_desktop since a .desktop file is shipped.
  * Remove debian/docs (containing only the CHANGES file), and use
    a dh_installchangelogs call instead, so that the file gets an
    appropriate filename (changelog.gz).

  [ Barry deFreese ]
  * Re-fix the watch file.
  * Make clean not ignore errors.
  * Remove deprecated encoding from desktop file and path from exec.
  * Bump Standards-Version to 3.7.3.

 -- Miriam Ruiz <little_miry@yahoo.es>  Fri, 29 Feb 2008 00:23:54 +0100

vodovod (1.10-1) unstable; urgency=low

  * New Upstream Release.

 -- Miriam Ruiz <little_miry@yahoo.es>  Wed, 13 Jun 2007 08:41:03 +0000

vodovod (1.05-1) unstable; urgency=low

  * Initial release (Closes: #427976)

 -- Miriam Ruiz <little_miry@yahoo.es>  Thu, 07 Jun 2007 13:35:46 +0000

=== debian/control ===
Source: vodovod
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Miriam Ruiz <little_miry@yahoo.es>
Build-Depends:
 debhelper (>= 9),
 libsdl-image1.2-dev,
 libsdl-mixer1.2-dev,
 libsdl1.2-dev
Standards-Version: 3.9.4
Homepage: http://home.gna.org/vodovod/
Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/vodovod/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/vodovod/

Package: vodovod
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: puzzle game, you must lead the water to the storage tank
 Vodovod is a game similar to Pipe Mania and Pipe Dream, in which you have to
 lead the water from the house to the storage tank. You get a limited number
 of pipes on each level and need to combine them to lead the water from the
 house at the top of the screen to the storage tank at the bottom. It has
 joystick/joypad support.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --parallel

override_dh_auto_build:
	$(MAKE) DATADIR=/usr/share/games/vodovod

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

=== debian/watch ===
# Watch control file for uscan
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://download.gna.org/vodovod/vodovod-(.*)-src\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
